Tato služba může obsahovat Google překlady. Společnost Google odmítá veškerou odpovědnost za překlad, doslovný i předpokládaný, včetně veškerých záruk aktuálnosti, spolehlivosti a veškerých záruk předpokládané zobchodovatelnosti, vhodnosti pro daný účel a neporušení práv.

Web Kaspersky Lab byl přeložen překládacím softwarem založeným na Google Translate. Bylo vynaloženo přiměřené úsilí, aby byl zajištěn přesný překlad, avšak žádný automatický překlad není dokonalý a není určen k nahrazení lidských překladatelů. Překlady jsou poskytovány jako služba uživatelům webových stránek a jsou poskytovány „tak jak jsou“. Neexistuje žádná záruka jakéhokoliv druhu, na vyjádřený nebo předpokládaný překlad, na přesnost nebo správnost překladů. Některý obsah (například obrázky, videa, Flash atd.) Nemusí být přesně přeložen z důvodu omezení překladového softwaru.

KLA10741
Zranitelnost odmítnutí služby v aplikaci FireBird
Aktualizováno: 01/21/2016
Detekováno
?
01/13/2016
Míra zranitelnosti
?
Varování
Popis

Nesprávné použití příkazů v RDBMS bylo nalezeno v aplikaci FireBird. Využíváním této zranitelnosti mohou uživatelé se zlými úmysly způsobit odmítnutí služby. Tuto chybu zabezpečení lze vzdáleně využít pomocí vektorů souvisejících s utilitou gbak.


Technické údaje

Tato chyba zabezpečení se týkala výjimky z neošetřených případů na burp.cpp. Tuto chybu zabezpečení lze zneužívat vzdáleně ověřený uživatel prostřednictvím speciálně navrženého příkazu gbak s překlepem.

Zasažené produkty

Firebird verze 2.5.5

Řešení

Vzhledem k tomu, že chyba byla zavedena ve verzi 2.5.5, můžete přejít na dřívější verze nebo počkat na aktualizaci na další verzi, která není právě uvolněna
Firebird stáhnout stránku

Oficiální doporučení

Openwall advisory
Openwall advisory
FireBird advisory

Dopad
?
DoS 
[?]
Související produkty
Firebird
CVE-IDS
?

CVE-2016-1569


Odkaz na originál